import { DbModel } from "src/app/model/entities/db-model";
import { Permission } from "src/app/model/entities/role";

export interface ApiKey extends DbModel {
  identifier?: string;
  key?: string;
  permissions?: Permission[];
}

export interface ApiKeyCreateInput {
  identifier: string;
  permissions: Permission[];
}

export interface ApiKeyUpdateInput {
  id: number;
  identifier: string;
  permissions: Permission[];
}
