import { Component } from '@angular/core';
import { ConfigService } from 'src/app/service/config.service';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss'],
})
export class FooterComponent {
  constructor(private config: ConfigService) {}

  get termsUrl(): string {
    return this.config.settings.termsUrl;
  }

  get privacyUrl(): string {
    return this.config.settings.privacyURL;
  }

  get imprintUrl(): string {
    return this.config.settings.imprintURL;
  }
}
